Std Draufsicht

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewTop and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Std ViewTop.svg Std Draufsicht

Menüeintrag
Ansicht → Standardansichten → Draufsicht
Arbeitsbereich
Alle
Standardtastenkürzel
2
Eingeführt in Version
-
Siehe auch
Std Vorderansicht, Std Ansicht von rechts

Beschreibung

Der Befehl Std Draufsicht wendet die Kamerasicht der aktiven 3D-Ansicht in die Richtung der negativen Z-Achse.

FreeCAD views front.svg

der Pfeil 2 zeigt in Richtung der Draufsicht

Anwendung

  1. Es gibt verschiedene Wegen, den Befehl umzusetzen:
    • Die Std ViewTop.svg Std Draufsicht-Schaltfläche betätigen.
    • Den Menüpunkt Ansicht → Standardansichten → Std ViewTop.svg Draufsicht aus dem Menü wählen.
    • Den Menüpunkt Standardansichten → Std ViewTop.svg Draufsicht aus dem 3D-Ansicht-Kontextmenü wählen.
    • Mit dem Tastenkürzel: 2.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Mit der viewTop-Methode des Objektes der aktiven Ansicht wechselt man in die Draufsicht. Diese Methode gibt es im FreeCAD-Konsolenmodus nicht.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewTop()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()